[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'oldlinux' (#rtl)

# Statfs

Record describing a file system in the fsstat call.

## Declaration

Source position: oldlinux.pp line 169

`type Statfs = packed record`
`fstype: LongInt;` |  | File system type
`bsize: LongInt;` |  | Block size
`blocks: LongInt;` |  | Total number of blocks
`bfree: LongInt;` |  | Number of free blocks
`bavail: LongInt;` |  | Number of available blocks
`files: LongInt;` |  | Number of files
`ffree: LongInt;` |  | ?
`fsid: LongInt;` |  | ?
`namelen: LongInt;` |  | Max name length for files.
`spare: array [0..6] of LongInt;` |  | Pad bytes. Do not use.
`end;`

Documentation generated on: Feb 26 2014